import React, {useRef, useState} from "react";
import Tooltip from 'react-bootstrap/Tooltip';
import Overlay from "react-bootstrap/Overlay";
import OverlayTrigger from "react-bootstrap/cjs/OverlayTrigger";
import SVG from 'react-inlinesvg';

import {TooltipProps} from "react-bootstrap";

import './tooltip.scss'

import info from './info.svg'
import cross from './cross.svg'


export const CustomTooltip = () => {
    const [show, setShow] = useState(false);
    const target = useRef(null);

    const renderTooltip = (props: TooltipProps) => {
        return (
            <Tooltip className='tooltip' id="button-tooltip" {...props}>
                МРОТ - минимальный размер оплаты труда. Разный для разных регионов
            </Tooltip>
        )
    };

    const clickHandler = () => {
        setShow(!show);
    };

    return <>

        <Overlay target={target.current} show={show} placement="auto-start">
            {(props) => renderTooltip(props)}
        </Overlay>
        <div ref={target}>
            <OverlayTrigger
                trigger={['hover', 'focus']}
                placement="auto-start"
                delay={{show: 0, hide: 0}}
                overlay={show ? <></> : (renderTooltip)}>

                <div className='tooltip__button' onClick={clickHandler}>

                    <SVG width={20} height={20} src={show ? cross : info}/>

                </div>

            </OverlayTrigger>
        </div>
    </>
};