import {Form} from "react-bootstrap"
import React, {FC} from "react";
import './styledInput.scss'


interface InputProps {
    meta: {
        touched: boolean | undefined
        error: string | undefined
        warning: string | undefined
    }
    input: {
        onChange: () => void
    }
}


export const StyledInput: FC<InputProps> = ({input, meta: {touched, error, warning, }, ...props}) => {

    return (
        <div>
            <Form.Control {...props} {...input} className='styledInput' size="sm"/>
            {touched && ((error && <span>{error}</span>) || (warning && <span>{warning}</span>))}
        </div>
    )
};